Results 1 to 10 of 10

Thread: Quartus prime pro 18 upgrade error

  1. #1
    Join Date
    Apr 2018
    Posts
    38
    Rep Power
    1

    Default Quartus prime pro 18 upgrade error

    Hi,

    Please see the original project file comes from Intel Altera Cyclone 10 GX Devleopment kit called QTS_FMC.zip at the attachment file section.

    I am using the project comes with Cyclone 10 GX development kit which compiles successfully with Quartus Prime Pro 17.1

    When we upgrade to Quartus Prime Pro 18.0 with minimal required IP upgrades, I am getting the following error messages:

    reference design name: qts_fmc



    Source of the project:




    Please see the detailed error messages below in color:


    Info(286033): Parameter WRCONTROL_ACLR_A set to NONE
    Info(286033): Parameter READ_DURING_WRITE_MODE_MIXED_PORTS set to OLD_DATA
    Error(16045): Instance "fmc_xcvr_system_inst0|xcvr_atx_pll_c10_1c|xcvr_at x_pll_a10_0" instantiates undefined entity "fmc_xcvr_system_xcvr_atx_pll_c10_1c_altera_xcvr_a tx_pll_a10_171_6azhqsq"
    Error(16185): Can't elaborate user hierarchy "fmc_xcvr_system_inst0|xcvr_atx_pll_c10_1c|xcvr_at x_pll_a10_0"
    Error(16185): Can't elaborate user hierarchy "fmc_xcvr_system_inst0|xcvr_atx_pll_c10_1c"
    Error(16045): Instance "fmc_xcvr_system_inst0|fmc_cmos_system_0|fmc_cmos_ system_0|data_pattern_checker_0|data_pattern_check er_0" instantiates undefined entity "cmos_test_system_data_pattern_checker_0_altera_av alon_data_pattern_checker_171_5zt5lci"
    Error(16185): Can't elaborate user hierarchy "fmc_xcvr_system_inst0|fmc_cmos_system_0|fmc_cmos_ system_0|data_pattern_checker_0|data_pattern_check er_0"
    Error(16185): Can't elaborate user hierarchy "fmc_xcvr_system_inst0|fmc_cmos_system_0|fmc_cmos_ system_0|data_pattern_checker_0"
    Error(16045): Instance "fmc_xcvr_system_inst0|fmc_cmos_system_0|fmc_cmos_ system_0|data_pattern_generator_0|data_pattern_gen erator_0" instantiates undefined entity "cmos_test_system_data_pattern_generator_0_altera_ avalon_data_pattern_generator_171_5j5zs6y"
    Error(16185): Can't elaborate user hierarchy "fmc_xcvr_system_inst0|fmc_cmos_system_0|fmc_cmos_ system_0|data_pattern_generator_0|data_pattern_gen erator_0"
    Error(16185): Can't elaborate user hierarchy "fmc_xcvr_system_inst0|fmc_cmos_system_0|fmc_cmos_ system_0|data_pattern_generator_0"
    Error(16185): Can't elaborate user hierarchy "fmc_xcvr_system_inst0|fmc_cmos_system_0|fmc_cmos_ system_0"
    Error(16185): Can't elaborate user hierarchy "fmc_xcvr_system_inst0|fmc_cmos_system_0"
    Error(16045): Instance "fmc_xcvr_system_inst0|fmc_xcvr_system_bank_1c_0|x cvr_test_system_0|data_pattern_checker_0|data_patt ern_checker_0" instantiates undefined entity "xcvr_test_system_data_pattern_checker_0_altera_av alon_data_pattern_checker_171_j3vxuxa"
    Error(16185): Can't elaborate user hierarchy
    Last edited by redwood; July 3rd, 2018 at 02:43 PM.

  2. #2
    Join Date
    May 2013
    Posts
    908
    Rep Power
    1

    Default Re: Quartus prime pro 18 upgrade error

    Did you upgrade all the IP? It looks like the IP upgrade manager is still appearing there in yellow.

  3. #3
    Join Date
    Feb 2018
    Posts
    142
    Rep Power
    1

    Default Re: Quartus prime pro 18 upgrade error

    Hi,
    Check the “Troubleshooting IP or Platform Designer System Upgrade” from the following link,
    https://www.altera.com/documentation...h1409958250601

    Let me know if this has helped resolve the issue you are facing or if you need any further assistance.

    Best Regards
    Vikas Jathar
    (This message was posted on behalf of Intel Corporation)

  4. #4
    Join Date
    Apr 2018
    Posts
    38
    Rep Power
    1

    Default Re: Quartus prime pro 18 upgrade error

    Quote Originally Posted by sstrell View Post
    Did you upgrade all the IP? It looks like the IP upgrade manager is still appearing there in yellow.

    Hi,

    First, I tried to upgrade all IP Blocks. It didn't work. It gaves error messages.

    Second, I tried to upgrade only "must Have" "recommended" by Quartus prime pro 18.0 software. I got the error messages above.

    Regards,

  5. #5
    Join Date
    May 2013
    Posts
    908
    Rep Power
    1

    Default Re: Quartus prime pro 18 upgrade error

    Can you open each IP in the IP parameter editor (open each IP's .ip file)? You should try doing this and just regenerate each one, even if it's saying you don't have to upgrade it.

  6. #6
    Join Date
    Apr 2018
    Posts
    38
    Rep Power
    1

    Default Re: Quartus prime pro 18 upgrade error

    Quote Originally Posted by sstrell View Post
    Can you open each IP in the IP parameter editor (open each IP's .ip file)? You should try doing this and just regenerate each one, even if it's saying you don't have to upgrade it.

    Hi,

    No, even with this approach, I am getting error messages.

    We have a upgrade problem by using:

    1- The design comes with Cyclone 10 GX dev kit
    2- Software Quartus Prime Pro from 17.1 to 18.0

    Question : Do you think the reference design owner may have a comment on this? unless Quartus 18.0 has a bug on this?

  7. #7
    Join Date
    May 2013
    Posts
    908
    Rep Power
    1

    Default Re: Quartus prime pro 18 upgrade error

    No. Undefined entity errors mean that the project is not seeing the IP for some reason.

    At this point, since it's just an example design from a dev kit, I'd trash the project folder you're working on and just expand the .zip file from the dev kit download and start in 18.0 instead of first opening it in 17.1. That should clear all this up.

  8. #8
    Join Date
    Apr 2018
    Posts
    38
    Rep Power
    1

    Default Re: Quartus prime pro 18 upgrade error

    Yes. This is done. We have the same problem.

  9. #9
    Join Date
    May 2013
    Posts
    908
    Rep Power
    1

    Default Re: Quartus prime pro 18 upgrade error

    At this point, if this is still happening, there must be something wrong with your 18.0 installation. Try uninstalling and reinstalling Quartus.

  10. #10
    Join Date
    Apr 2018
    Posts
    38
    Rep Power
    1

    Default Re: Quartus prime pro 18 upgrade error

    Quote Originally Posted by sstrell View Post
    At this point, if this is still happening, there must be something wrong with your 18.0 installation. Try uninstalling and reinstalling Quartus.
    I installed multiple times Quartus Prime Pro.

Similar Threads

  1. Quartus Prime Pro 18 Installation Error
    By redwood in forum General Altera Discussion
    Replies: 1
    Last Post: July 3rd, 2018, 04:51 PM
  2. Compile error whilel using Quartus Prime
    By savitha muthanna in forum Quartus II and EDA Tools Discussion
    Replies: 7
    Last Post: June 13th, 2018, 02:49 AM
  3. Quartus Prime FIR 2 IP tool initial error
    By rorroror in forum DSP Builder and DSP IPs
    Replies: 6
    Last Post: March 19th, 2018, 10:59 PM
  4. Replies: 0
    Last Post: August 17th, 2016, 01:51 AM
  5. Upgrade to Quartus 15.0 from 11.1 Error 23031 when using batch file.
    By bob_zed in forum Quartus II and EDA Tools Discussion
    Replies: 2
    Last Post: November 12th, 2015, 12:51 AM

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •